Subject: Re: domain name stamping

From: Laurie Cuthbert <[email-masked]>
Date: Mon, 29 Nov 1993 08:49:22 GMT

Terry

Sorry if I haven't explained myself clearly. I appreciate pine will only 
qualify names without the "@" - and using the "user-domain=" configuration it 
correctly adds the domain to unqualified destinations and the From: line.

However, not everyone in the dept uses pine and some mailers just send mail 
with the To: and From: lines set to a user name with no "@". When pine reads 
these it adds @HOSTNAME, not @DOMAINNAME.

i.e. within the dept the domain is elec.qmw.ac.uk (it gets massaged by the 
site PP mailer on the way out) - if someone sends mail to me with /ucb/mail 
(or even Eudora) the To: line is just set to "laurie" and the From: line to 
"their_username". When pine reads the mail it changes this to 
To: laurie@osprey and From: their_username@osprey - it would better if it was 
to add something to add the domain name.

Regards

Laurie

On Sun, 28 Nov 1993 13:46:19 -0800 (PST) Terry Gray wrote:

> 
> Laurie,
> I'm not 100% sure I understand which scenario you are describing, so 
> the following may be both old news and irrelevant, but just in case:  if
> you set "user-domain=qmw.ac.uk" in your .pinerc, that should control what
> goes in the From: line, (and in cases of unqualified destinations, the To:
> line), regardless of what the host thinks its name is.
> 
> But if Pine sees an "@" in an outgoing address, it will not touch it.
> 
> -teg
>